BIO_SPLIT(9)

NAME
bio_split - split a bio

SYNOPSIS

struct bio * bio_split(struct bio * bio, int sectors, gfp_t gfp, struct bio_set * bs);

ARGUMENTS

bio
    bio to split

sectors
    number of sectors to split from the front of bio

gfp
    gfp mask

bs
    bio set to allocate from

DESCRIPTION

Allocates and returns a new bio which represents sectors from the start of bio, and updates bio to represent the remaining sectors.

The newly allocated bio will point to bio's bi_io_vec; it is the caller's responsibility to ensure that bio is not freed before the split.

COPYRIGHT